/*
 *  file      : src/configuser.h
 *  project   : b2im
 *  copyright : (C) 2015 by BULIN Claude
 * 
 *  This file is part of b2im project
 * 
 *  b2im is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; version 3.
 * 
 *  b2im is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 *  USA
 */


#ifndef configuser_h
#define configuser_h 1


// 
typedef struct {
	
	gint		WinPos_X;
	gint		WinPos_Y;
	gint		WinWidth;
	gint		WinHeight;
	gchar		*path_user;
	
	// NOTEBOOK_INIT_PACKAGE
	gchar		*pathname_manjaro_tools_iso_profiles;
	gchar		*path_cache_iso;
	gchar		*path_folder_manjaro_profiles;
	
	// NOTEBOOK_DESKTOP
	gchar		*string_choice_desktop;
	
	// NOTEBOOK_KERNEL	
	gint		choice_kernel_XX_bits;
	gint		choice_type_image;
	
	// NOTEBOOK_GFXBOOT
	gboolean	bool_import_picture;
	
	gint		choice_num_language;
	
	float		mainmenu_normal_fg_list_0;
	float		mainmenu_normal_fg_list_1;
	float		mainmenu_normal_fg_list_2;
	
	float		mainmenu_selected_fg_list_0;
	float		mainmenu_selected_fg_list_1;
	float		mainmenu_selected_fg_list_2;
	
	float		mainmenu_bar_color_list_0;
	float		mainmenu_bar_color_list_1;
	float		mainmenu_bar_color_list_2;
	
	gint		choice_num_image_boot;
	
} VAR_CONFIG;

extern VAR_CONFIG Config;

void configuser_read( void );
void configuser_save( void );
void configuser_remove( void );
void configuser_read_to_textview( void );


#endif
